/metabase | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
metabase_construct_query | POST /api/agent/v2/construct-query |
metabase_create_dashboard | POST /api/agent/v1/dashboard |
metabase_create_question | POST /api/agent/v1/question |
metabase_execute_query | POST /api/agent/v2/query |
metabase_get_metric | GET /api/agent/v1/metric/{id} |
metabase_get_metric_field_values | GET /api/agent/v1/metric/{id}/field/{field-id}/values |
metabase_get_table | GET /api/agent/v1/table/{id} |
metabase_get_table_field_values | GET /api/agent/v1/table/{id}/field/{field-id}/values |
metabase_search | POST /api/agent/v1/search |
metabase_construct_query
POST /api/agent/v2/construct-query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query | object | Yes | — | Search query string |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query": {
"description": "Search query string"
}
},
"required": [
"PCID",
"query"
]
}
metabase_create_dashboard
POST /api/agent/v1/dashboard Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
collection_id | integer | null | No | — | value must be an integer greater than zero. |
description | string | null | No | — | The description value |
name | string | Yes | — | The name value | |
question_ids | integer[] | No | — | Question Ids |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"collection_id": {
"type": [
"integer",
"null"
],
"description": "value must be an integer greater than zero."
},
"description": {
"type": [
"string",
"null"
],
"description": "The description value"
},
"name": {
"type": "string",
"description": "The name value"
},
"question_ids": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Question Ids"
}
},
"required": [
"PCID",
"name"
]
}
metabase_create_question
POST /api/agent/v1/question Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
collection_id | integer | null | No | — | value must be an integer greater than zero. |
description | string | null | No | — | The description value |
display | string | null | No | — | The display value |
name | string | Yes | — | The name value | |
query | string | Yes | — | Search query string | |
visualization_settings | object | No | — | Visualization Settings |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"collection_id": {
"type": [
"integer",
"null"
],
"description": "value must be an integer greater than zero."
},
"description": {
"type": [
"string",
"null"
],
"description": "The description value"
},
"display": {
"type": [
"string",
"null"
],
"description": "The display value"
},
"name": {
"type": "string",
"description": "The name value"
},
"query": {
"type": "string",
"description": "Search query string"
},
"visualization_settings": {
"type": "object",
"description": "Visualization Settings"
}
},
"required": [
"PCID",
"name",
"query"
]
}
metabase_execute_query
POST /api/agent/v2/query Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | No | — | Request body for /v2/query. Accepts either a fresh-query payload ({:query <external-query>}, same shape as /v2/construct-query) or a :continuation_token from a prior response. Both branches are closed maps: extra top-level keys (e.g. the legacy source_entity / referenced_entities envelope, or sending :query and :continuation_token simultaneously) are rejected with a 400. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"description": "Request body for /v2/query. Accepts either a fresh-query payload (`{:query <external-query>}`, same shape as /v2/construct-query) or a `:continuation_token` from a prior response. Both branches are closed maps: extra top-level keys (e.g. the legacy `source_entity` / `referenced_entities` envelope, or sending `:query` and `:continuation_token` simultaneously) are rejected with a 400."
}
},
"required": [
"PCID"
]
}
metabase_get_metric
GET /api/agent/v1/metric/{id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | value must be an integer greater than zero. |
with-default-temporal-breakout | boolean | No | — | The with-default-temporal-breakout value |
with-field-values | boolean | No | — | The with-field-values value |
with-queryable-dimensions | boolean | No | — | The with-queryable-dimensions value |
with-segments | boolean | No | — | The with-segments value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "value must be an integer greater than zero."
},
"with-default-temporal-breakout": {
"type": "boolean",
"description": "The with-default-temporal-breakout value"
},
"with-field-values": {
"type": "boolean",
"description": "The with-field-values value"
},
"with-queryable-dimensions": {
"type": "boolean",
"description": "The with-queryable-dimensions value"
},
"with-segments": {
"type": "boolean",
"description": "The with-segments value"
}
},
"required": [
"PCID",
"id"
]
}
metabase_get_metric_field_values
GET /api/agent/v1/metric/{id}/field/{field-id}/values Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | value must be an integer greater than zero. |
field-id | string | Yes | — | The field-id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "value must be an integer greater than zero."
},
"field-id": {
"type": "string",
"description": "The field-id value"
}
},
"required": [
"PCID",
"id",
"field-id"
]
}
metabase_get_table
GET /api/agent/v1/table/{id} Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | value must be an integer greater than zero. |
with-field-values | boolean | No | — | The with-field-values value |
with-fields | boolean | No | — | The with-fields value |
with-related-tables | boolean | No | — | The with-related-tables value |
with-metrics | boolean | No | — | The with-metrics value |
with-measures | boolean | No | — | The with-measures value |
with-segments | boolean | No | — | The with-segments value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "value must be an integer greater than zero."
},
"with-field-values": {
"type": "boolean",
"description": "The with-field-values value"
},
"with-fields": {
"type": "boolean",
"description": "The with-fields value"
},
"with-related-tables": {
"type": "boolean",
"description": "The with-related-tables value"
},
"with-metrics": {
"type": "boolean",
"description": "The with-metrics value"
},
"with-measures": {
"type": "boolean",
"description": "The with-measures value"
},
"with-segments": {
"type": "boolean",
"description": "The with-segments value"
}
},
"required": [
"PCID",
"id"
]
}
metabase_get_table_field_values
GET /api/agent/v1/table/{id}/field/{field-id}/values Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | value must be an integer greater than zero. |
field-id | string | Yes | — | The field-id value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "integer",
"description": "value must be an integer greater than zero."
},
"field-id": {
"type": "string",
"description": "The field-id value"
}
},
"required": [
"PCID",
"id",
"field-id"
]
}
metabase_search
POST /api/agent/v1/search Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
semantic_queries | string[] | No | — | Semantic Queries |
term_queries | string[] | No | — | Term Queries |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"semantic_queries": {
"type": "array",
"items": {
"type": "string"
},
"description": "Semantic Queries"
},
"term_queries": {
"type": "array",
"items": {
"type": "string"
},
"description": "Term Queries"
}
},
"required": [
"PCID"
]
}

